Package com.arms.api.newsletter.service

## Interface Newsletter

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `NewsletterImpl`

      public interface Newsletter
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NewsletterEntity` | `addNewsletter​(NewsletterEntity newsletterEntity)` |
    `NewsletterEntity` | `getNewsletter​(java.lang.Long newsletterId)` |
    `java.lang.Long` | `getNewsletterCount​(NewsletterEntity newsletterEntity)` |
    `java.util.List<NewsletterDTO>` | `getNewsletters​(NewsletterEntity newsletterEntity, int pageIndex, int pageUnit)` |
    `java.util.List<NewsletterDTO>` | `getPopularNewsletters​(NewsletterEntity newsletterEntity, int pageIndex, int pageUnit)` |
    `NewsletterEntity` | `removeNewsletter​(java.lang.Long newsletterId)` |
    `NewsletterEntity` | `updateNewsletter​(NewsletterEntity newsletterEntity)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### addNewsletter

          NewsletterEntity addNewsletter​(NewsletterEntity newsletterEntity)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNewsletter

          NewsletterEntity getNewsletter​(java.lang.Long newsletterId)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateNewsletter

          NewsletterEntity updateNewsletter​(NewsletterEntity newsletterEntity)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeNewsletter

          NewsletterEntity removeNewsletter​(java.lang.Long newsletterId)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNewsletterCount

          java.lang.Long getNewsletterCount​(NewsletterEntity newsletterEntity)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNewsletters

          java.util.List<NewsletterDTO> getNewsletters​(NewsletterEntity newsletterEntity,
                                                       int pageIndex,
                                                       int pageUnit)
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPopularNewsletters

          java.util.List<NewsletterDTO> getPopularNewsletters​(NewsletterEntity newsletterEntity,
                                                              int pageIndex,
                                                              int pageUnit)
                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`